$(document).ready(function () {
    $("body").on("change", ".itemgrp", getscode);

    function getscode() {
        var itemgrp = $('.itemgrp').val();
        $.post('gethsn_item.php', {itemgrp: itemgrp}, function (data) {
            $('.hsncode').val(data.hsncode);
            $('.gstperc').val(data.gstperc).trigger("change");
        }, 'json');
    }
    
  
});